<script setup>
import { useAppStore } from '@/stores/AppStore'
</script>


<script>
export default {

	data() {
		const appStore = useAppStore()
		return {
			appStore,
			csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			currentPassword: '',
			newPassword: '',
			confirmPassword: '',
		}
	},

	methods: {
	},

	i18n: {
		messages: {
			en: {
				title: "Change Password",
				currentPassword: "Current Password",
				newPassword: "New Password",
				confirmPassword: "Confirm Password",
				ok: "Change Password",
				confirm: "You have to sign-out, then sign-in again with new password!",
			},
			th: {
				title: "เปลี่ยนรหัสผ่าน",
				currentPassword: "รหัสผ่านปัจจุบัน",
				newPassword: "รหัสผ่านใหม่",
				confirmPassword: "ยืนยันรหัสผ่านใหม่",
				ok: "เปลี่ยนรหัสผ่าน",
				confirm: "คุณต้องออกจากระบบ แล้วเข้าระบบใหม่ ด้วยรหัสผ่านใหม่!",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title')">
		<form id="form" method="post" action="/profile/change-pass">
			<input type="hidden" name="_token" :value="csrf" />

			<!-- current password -->
			<label for="currentPassword">{{ $t('currentPassword') }}</label><br />
			<input id="currentPassword" name="currentPassword" type="password" :placeholder="$t('currentPassword')"
				required minlength="4" maxlength="20" v-model="currentPassword" /><br />
			<br />

			<!-- new password -->
			<label for="newPassword">{{ $t('newPassword') }}</label><br />
			<input id="newPassword" name="newPassword" type="password" :placeholder="$t('newPassword')" required
				minlength="4" maxlength="20" v-model="newPassword" /><br />
			<br />

			<!-- confirm password -->
			<label for="confirmPassword">{{ $t('confirmPassword') }}</label><br />
			<input id="confirmPassword" name="confirmPassword" type="password" :placeholder="$t('confirmPassword')"
				required minlength="4" maxlength="20" v-model="confirmPassword" /><br />
			<br />

			<button type="submit">{{ $t('ok') }}</button>
		</form>
	</AppBox>
</template>


<style scoped>

</style>
